summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-php
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-php')
-rwxr-xr-xgettext-tools/tests/lang-php37
1 files changed, 18 insertions, 19 deletions
diff --git a/gettext-tools/tests/lang-php b/gettext-tools/tests/lang-php
index 3bc096d..e90ea1d 100755
--- a/gettext-tools/tests/lang-php
+++ b/gettext-tools/tests/lang-php
@@ -9,7 +9,7 @@ cat <<\EOF > prog.php
<?php
setlocale (LC_ALL, "");
textdomain ("prog");
- bindtextdomain ("prog", "l-php");
+ bindtextdomain ("prog", ".");
echo _("'Your command, please?', asked the waiter.");
echo "\n";
printf(_("%s is replaced by %s."), "FF", "EUR");
@@ -18,10 +18,10 @@ cat <<\EOF > prog.php
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o l-php-prog.tmp --omit-header --no-location prog.php || exit 1
-LC_ALL=C tr -d '\r' < l-php-prog.tmp > l-php-prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog.php || exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
-cat <<EOF > l-php-prog.ok
+cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
msgstr ""
@@ -31,9 +31,9 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} l-php-prog.ok l-php-prog.pot || exit 1
+${DIFF} prog.ok prog.pot || exit 1
-cat <<\EOF > l-php-fr.po
+cat <<\EOF > fr.po
msgid ""
msgstr "Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -47,18 +47,17 @@ msgstr "%2$s remplace %1$s."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o l-php-fr.po.tmp l-php-fr.po l-php-prog.pot || exit 1
-LC_ALL=C tr -d '\r' < l-php-fr.po.tmp > l-php-fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
: ${DIFF=diff}
-${DIFF} l-php-fr.po l-php-fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || exit 1
-test -d l-php || mkdir l-php
-test -d l-php/fr || mkdir l-php/fr
-test -d l-php/fr/LC_MESSAGES || mkdir l-php/fr/LC_MESSAGES
+test -d fr || mkdir fr
+test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
: ${MSGFMT=msgfmt}
-${MSGFMT} -o l-php/fr/LC_MESSAGES/prog.mo l-php-fr.po
+${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of php version 4.0 or newer with gettext support.
(php -v) >/dev/null 2>/dev/null
@@ -102,11 +101,11 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
fi
: ${DIFF=diff}
-cat <<\EOF > l-php-prog.ok
+cat <<\EOF > prog.ok
«Votre commande, s'il vous plait», dit le garçon.
EUR remplace FF.
EOF
-cat <<\EOF > l-php-prog.oku
+cat <<\EOF > prog.oku
«Votre commande, s'il vous plait», dit le garçon.
EUR remplace FF.
EOF
@@ -114,12 +113,12 @@ EOF
: ${LOCALE_FR=fr_FR}
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR php -q prog.php > l-php-prog.out || exit 1
- ${DIFF} l-php-prog.ok l-php-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR php -q prog.php > prog.out || exit 1
+ ${DIFF} prog.ok prog.out || exit 1
fi
if test $LOCALE_FR_UTF8 != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 php -q prog.php > l-php-prog.out || exit 1
- ${DIFF} l-php-prog.oku l-php-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 php -q prog.php > prog.out || exit 1
+ ${DIFF} prog.oku prog.out || exit 1
fi
exit 0